Bug 55398 - cannot start x on a dell inspiron 8100
cannot start x on a dell inspiron 8100
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-30 15:04 EST by Need Real Name
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-30 15:04:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-10-30 15:04:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (X11; U; SunOS 5.7 sun4u)

Description of problem:
It is not possible to start graphical display on my laptop (inspiron 8100).
During th anaconda install, however, the configuration tested successfully
(i could click on the "can you see this"  popup) with a 600*800 resolution.
At higher resolution, the sync is wrong. But after reboot, I only get
vertical lines.
The Xconfigurator does solve at all either. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install RH 7.2 on an inspiron 8100
2. Choose the proper screen from the menu (in my case, a dell 1400x lcd
display)
3. Choose the minimal resolution offered (600*800) (tests successfully)
4. Finish the install. 
	

Actual Results:  The machine reboots automatically, and then the X server
does not work (the screen is stripped with vertical lines)	

Expected Results:  A normal login prompt 

Additional info:

There seems to have been an effort to incorporate nvidia drivers and dell
lcd displays in this distribution. But the drivers installed cannot be
upgraded by the ones currently available from nvidia, and the ranges
proposed are declared out of rnage by XFree (looking at the log file)
Comment 1 Mike A. Harris 2001-10-31 19:35:25 EST
The Geforce 2 Go video hardware that comes with the Dell Inspiron 8100
laptop is not supported by XFree86 4.1.0.  It may or may not be supported
in XFree86 4.2.0 when it is released sometime in late November.

If I recall correctly, this video adaptor can be replaced with an ATI
Radeon Mobility adaptor in this laptop, which is a card supported by
XFree86 shipped with Red Hat Linux.  Alternatively, you may install
without configuring/testing X, and then use Nvidia's drivers if they
support that.  Please note, usage of Nvidia's binary drivers are only
officially supported by Nvidia.  Red Hat does not support, nor is it
possible for us to support the binary only drivers.

Hope this helps.

Note You need to log in before you can comment on or make changes to this bug.